GET/ segments/ :id/ users/
View user segment
You can return all users assigned to a specific user segment.
Attributes
Optional unless marked required
- id
- A unique identifier for the users' segment which is given by User automatically.
Request
- cURL
- JavaScript
- PHP
- Python
curl -X GET "https://<your_app_subdomain>.user.com/api/public/segments/:id/users/" \
-H "Authorization: Token <your_64_char_api_key>" \
-H "Accept: */*; version=2"
const response = await fetch(
"https://<your_app_subdomain>.user.com/api/public/segments/:id/users/",
{
method: "GET",
headers: {
Authorization: "Token <your_64_char_api_key>",
Accept: "*/*; version=2",
},
},
);
const data = await response.json();
console.log(data);
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://<your_app_subdomain>.user.com/api/public/segments/:id/users/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Token <your_64_char_api_key>",
"Accept: */*; version=2",
],
]);
$response = curl_exec($curl);
curl_close($curl);
echo $response;
import requests
response = requests.get(
"https://<your_app_subdomain>.user.com/api/public/segments/:id/users/",
headers={
"Authorization": "Token <your_64_char_api_key>",
"Accept": "*/*; version=2",
},
)
print(response.json())
Response examples
- 200 OK
- 404 Not Found
{"count": 2,"next": null,"previous": null,"results": [{"id": 1286,"key": "g7lvoickax9e","name": "johndoe@example.com","email": "johndoe@example.com","gender": "unknown","status": "user","phone_number": null,"first_seen": "2026-08-18T12:31:49.448368Z","last_seen": "2026-08-18T12:33:39.766442Z","page_views": 3,"last_ip": "127.0.0.1","timezone": "Example timezone","city": "value","region": "value","country": "value","unsubscribed": false,"browser_language": "en","widget_language": null,"score": 0,"browser": "Example browser","os_type": "Example os type","resolution": "Example resolution","created_at": "2026-08-18T12:31:49.469294Z","updated_at": "2026-08-31T10:45:00.035496Z","companies": ,1 item"attributes": ,2 items"gravatar_url": null,"lists": [],"tags": [],"notifications": true,"facebook_url": null,"linkedin_url": null,"twitter_url": null,"google_url": null,"last_contacted": null,"user_id": "Example user id","web_push_subscription": false,"assigned_to": null,"most_active_time": "Example most active time","lt_opened_email": null,"lt_clicked_email": null,"email_mx_valid": false,"referrer": "https://example.com/","last_heard_from": null,"spambounced": false,"softbounced": false,"hardbounced": false,"marked_email_as_spam": true,"email_opt_in": null,"email_tracking_optin": null},{"id": 1117,"key": "g7lvoickax9e","name": "Example name","email": "johndoe@example.com","gender": "male","status": "visitor","phone_number": "+48123456789","first_seen": null,"last_seen": null,"page_views": 0,"last_ip": null,"timezone": null,"city": null,"region": null,"country": null,"unsubscribed": false,"browser_language": null,"widget_language": null,"score": 0,"browser": null,"os_type": null,"resolution": null,"created_at": "2026-06-12T08:45:57.632048Z","updated_at": "2026-06-12T11:00:08.287478Z","companies": [],"attributes": ,2 items"gravatar_url": null,"lists": [],"tags": [],"notifications": true,"facebook_url": null,"linkedin_url": null,"twitter_url": null,"google_url": null,"last_contacted": "2026-06-19T09:32:01.274933Z","user_id": null,"web_push_subscription": false,"assigned_to": null,"most_active_time": null,"lt_opened_email": null,"lt_clicked_email": null,"email_mx_valid": true,"referrer": null,"last_heard_from": null,"spambounced": false,"softbounced": false,"hardbounced": true,"marked_email_as_spam": true,"email_opt_in": true,"email_tracking_optin": null}]}{
"detail": "No Segment matches the given query."
}
Response fields
Fields returned in the 200 OK response body.
- count
- Number of results across all pages. It can lag behind recent changes; see Response pagination.
- next
- URL of the next page of results. null on the last page.
- previous
- URL of the previous page of results. null on the first page.
- results
- Results on this page.
- results[].
id - A unique identifier for the users' segment which is given by User automatically.
- results[].
key - Unique key of the contact (12 random characters), given by User.
- results[].
name - Full name of the contact, made from the first and last name.
- results[].
email - Main email address of the contact. Several contacts can share an address.
- results[].
gender - A user gender (1 - unknown, 2 - male, 3 - female)
- results[].
status userif the contact's email address has been sent to User through the code on your website, otherwisevisitor.- results[].
phone_number - Phone number of the contact.
- results[].
first_seen - A date for user's first website visit.
- results[].
last_seen - A date of last user's website visit.
- results[].
page_views - A total number of user's page visits occurrences.
- results[].
last_ip - An address IP (identifier assigned to each device, e.g., laptop, printer, mobile etc.) from the last user visit.
- results[].
timezone - A timezone of the user's browser.
- results[].
city - City of the contact's last visit, based on the IP address.
- results[].
region - Region of the contact's last visit, based on the IP address.
- results[].
country - Country of the contact's last visit, based on the IP address.
- results[].
unsubscribed - A flag true/false informing if user is unsubscribed from emails.
- results[].
browser_language - A user's browser language
- results[].
widget_language - Language of the chat widget for this contact, used when the widget is set to follow it;
nullif not set. - results[].
score - A number of points assinged to the user.
- results[].
browser - A name of user's browser last used to visit your website.
- results[].
os_type - An operating system of the user’s device
- results[].
resolution - A screen resolution of the device the user has visited your website.
- results[].
created_at - When the contact was created, ISO 8601.
- results[].
updated_at - When the contact was last updated, ISO 8601.
- results[].
companies - Companies the contact is a member of.
- results[].
companies[]. name - Name of the company.
- results[].
companies[]. id - A unique identifier for the users' segment which is given by User automatically.
- results[].
companies[]. member_since - Despite the name, when the company was created (its
created_at), not when the contact joined it.
- results[].
- results[].
attributes - Custom contact attributes that have a value, each with
id,name,name_std,value,descriptionandvalue_type.- results[].
attributes[]. id - A unique identifier for the users' segment which is given by User automatically.
- results[].
attributes[]. name - Name of the attribute.
- results[].
attributes[]. name_std - Standardized name of the attribute, used as its key in the API.
- results[].
attributes[]. value - Value of the attribute for this contact.
- results[].
attributes[]. description - Description of the attribute.
- results[].
attributes[]. value_type - Value type of the attribute:
1boolean,2integer,3date,4string,5datetime,6fixed (a list of choices),7float or8JSON.
- results[].
- results[].
gravatar_url - A user avatar url from gravatar.
- results[].
lists - Lists the contact is on, each with
id,nameanddescription.- results[].
lists[]. id - A unique identifier for the users' segment which is given by User automatically.
- results[].
lists[]. name - Name of the list.
- results[].
lists[]. description - Description of the list.
- results[].
- results[].
tags - Tags of the contact.
- results[].
tags[]. id - A unique identifier for the users' segment which is given by User automatically.
- results[].
tags[]. name - Name of the tag.
- results[].
- results[].
notifications - A flag true/false informing if your team is receiving notifications about new chat messages from this user.
- results[].
facebook_url - A URL of user's Facebook profile.
- results[].
linkedin_url - A URL of user's LinkedIn profile.
- results[].
twitter_url - A URL of user's Twitter profile.
- results[].
google_url - A URL of user's Google+ profile.
- results[].
last_contacted - A date of last contact with user - any communication (email or chat, automated or otherwise) sent from your team to the user.
- results[].
user_id - A unique identifier for the user which is given by User automatically.
- results[].
web_push_subscription - A flag true/false informing if user is unsubscribed from webpush.
- results[].
assigned_to - ID of the agent group the contact is assigned to, or
null. - results[].
most_active_time - Most Active Time is an attribute that is based on historical data determined by the hours of previous use and the most likely active use. Time in this attribute is positioned in the UTC timezone, and there's no possible way to change the timezone for the attribute.
- results[].
lt_opened_email - When the contact last opened one of your emails.
- results[].
lt_clicked_email - When the contact last clicked a link in one of your emails.
- results[].
email_mx_valid - Whether the email address passed User's validation; set to
falseafter a hard bounce. - results[].
referrer - URL of the page the contact came to your website from.
- results[].
last_heard_from - When the contact last sent your team a message (chat or email). Emails count only once your inbox is connected over IMAP.
- results[].
spambounced trueonce an email to the contact bounced as spam.- results[].
softbounced trueonce an email to the contact soft-bounced.- results[].
hardbounced trueonce an email to the contact hard-bounced or was dropped.- results[].
marked_email_as_spam - Defaults to
trueand isn't changed when emails bounce; checkspambouncedfor spam bounces. - results[].
email_opt_in - Email marketing consent:
truegiven,falserefused,nullnot recorded. - results[].
email_tracking_optin - Consent to email open and click tracking:
truegiven,falserefused,nullnot recorded.
- results[].
note
Errors that can come from any endpoint (401, 429, 500, 502, 504) are described in HTTP response codes.